body {
  position: relative;
  margin: 0;
  padding: 4px 0;
}

/* ToolBar */
header {
  margin: 0;
  padding: 10px 12px;
  display: flex;
  flex-flow: row;
  justify-content: space-between;
}

nav {
  position: relative;
  padding: 0 1px;
  display: flex;
  flex-grow: 5;
}

.toggle {
  position: fixed;
  width: 100%;
  z-index: 11111;
  top: 0;
  left: 0;
  background-color: white;
}

/* logo */
a.logo {
  padding: 0 12px;
  text-decoration: none;
  font-family: Inter, sans-serif;
  font-weight: 600;
  font-style: normal;
  font-size: 20px;
  color: #28352f;
}

#menu-icons1 {
  top: 0;
  right: 0;
  position: absolute;
  width: 40px;
  height: inherit;
}

#menu-icons1.hide {
  display: none;
}

#menu-icon2 {
  display: none;
  top: 40px;
  right: 20px;
  position: absolute;
  width: 40px;
  height: inherit;
}

#menu-icon2.show {
  display: block;
}

#menu-list {
  list-style-type: none;
  display: none;
  justify-content: flex-start;
  margin: 0;
}

#menu-list.show {
  height: 100vh;
  padding: 106px 28px;
  display: flex;
  flex-flow: column;
  align-items: flex-start;
  overflow-y: hidden;
}

.menu-items {
  text-decoration: none;
  padding: 0;
  margin: 0 10px;
  text-align: center;
  font-size: 32px;
  font-weight: 600;
  font-family: 'inter', sans-serif;
  line-height: 44px;
  color: #3a4a42;
}

.menu-list {
  margin-bottom: 26px;
}

/* Showcase */
section {
  margin: 0;
  padding: 0;
}

.showcase {
  margin: 0;
  display: flex;
  flex-flow: column wrap;
  align-content: center;
  align-items: center;
  justify-content: center;
}

#section-1 {
  display: flex;
  flex-flow: column;
  background-position: center;
  background-image: url("images/Icons/Bg-home.png");
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
  height: auto;
}

#Intro {
  padding: 75px 0;
  padding-bottom: 2px;
  margin: 0;
  text-align: center;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 48px;
  line-height: 52px;
  color: #172b4d;
}

#Primary-2 {
  padding: 10px 0;
  margin: 0 5px;
  text-align: center;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 48px;
  line-height: 52px;
  color: #16463a;
}

#firstp {
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 28px;
  text-align: center;
  color: #172b4d;
  margin-bottom: 32px;
  align-content: center;
  align-items: center;
  margin-top: 20px;
  margin-left: 20px;
}

ul.social {
  list-style-type: none;
  margin-top: 4.5px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
}

.social-icon {
  padding: 0 10px;
  display: flex;
  justify-content: space-between;
}

.action {
  margin-top: 30px;
  padding: 10px;
  display: flex;
  justify-content: center;
}

#firstline {
  color: #36b37e;
  border: 4px solid #36b37e;
  border-radius: 30px;
  background-color: #36b37e;
  width: 50px;
  margin-bottom: 62px;
}

/* Recent Work */
#section-2 {
  margin: 20px;
  display: flex;
  flex-flow: column;
}

/* PopUp-window styles */
.popup-window {
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 0;
  right: 0;
  width: 100%;
  height: 100vh;
  background-color: white;
  z-index: 1111;
}

.pop-up {
  display: flex;
  flex-flow: column wrap;
  justify-content: center;
  align-items: flex-start;
  background-color: white;
  border-radius: 8px;
  position: relative;
}

.title {
  color: #172b4d;
  text-align: initial;
  padding: 5px;
  margin: 5px 0;
  font-size: 1.2em;
}

.pop {
  text-decoration: none;
  padding: 8px 20px;
  margin: 0 10px;
  background-color: #36b37f;
  border: 1px solid #36b37f;
  border-radius: 8px;
  width: fit-content;
  height: 25px;
  font-family: 'inter', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 0.95em;
  line-height: 24px;
  color: #000;
}

.link-container {
  display: flex;
  flex-flow: row;
}

ul.pop-list {
  display: flex;
  flex-flow: row;
}

.pop-cell {
  list-style-type: none;
  margin: 0 3px;
  font-size: 0.6em;
}

.popIcon {
  padding: 0 3px;
  float: right;
}

.pop-image {
  width: 100%;
  border-radius: 8px;
}

.pop-close {
  width: 15%;
  cursor: pointer;
  position: absolute;
  top: 2%;
  right: 2%;
}

.description {
  font-family: 'Inter', sans-serif;
  padding: 0 5px;
  font-weight: 400;
  font-size: 0.95em;
  color: #344563;
  line-height: 24px;
}

#Recent {
  padding: 0;
  margin: 10px 0;
  text-align: center;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 48px;
  line-height: 52px;
  color: #172b4d;
}

.grid-container {
  display: grid;
  grid-template-columns: auto;
  justify-content: center;
  gap: 20px;
}

.card {
  border: 2.5px solid #d0d9d4;
  border-radius: 9px;
  display: flex;
  flex-flow: column-reverse wrap;
  background-color: #ebf0ee;
  width: 327px;
  align-content: center;
}

.project-photo {
  max-width: 100%;
  max-height: 100%;
  border-radius: 5px;
  order: 10;
}

.textholder {
  background-color: white;
}

ul.cells {
  list-style-type: none;
  display: flex;
  justify-content: space-around;
  text-align: center;
  margin: 2px 2px;
  padding: 0;
}

.cell {
  text-decoration: none;
  color: #545454;
  background-color: #ebf0ee;
  border-radius: 4px;
  margin: 0;
  margin-right: 3px;
  padding: 8px 12px;
  text-align: center;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 16px;
  transition-duration: 0.4s;
}

.cell:hover {
  background-color: #36b37e;
  color: white;
}

h3 {
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 24px;
  line-height: 32px;
  color: #3a4a42;
  text-align: center;
}

.btn .Primary-btn {
  text-decoration: none;
  padding: 10px 19px;
  background-color: #36b37f;
  border: 1px solid #36b37f;
  border-radius: 8px;
  width: fit-content;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  color: #000;
  transition: all 0.5s;
}

.Primary-btn span {
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}

.Primary-btn span::after {
  content: "\00bb";
  position: absolute;
  opacity: 0;
  top: 0;
  right: -20px;
  transition: 0.5s;
}

.Primary-btn:hover span {
  padding-right: 25px;
}

.Primary-btn:hover span::after {
  opacity: 1;
  right: 0;
}

.btn .Primary-btn:hover {
  opacity: 0.89;
  text-decoration: none;
  padding: 10px 19px;
  border: 1px solid #36b37f;
  box-shadow: 0 8px 16px rgba(54, 179, 127, 0.24);
  border-radius: 8px;
  width: fit-content;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  color: white;
}

.btn {
  padding: 20px;
  padding-bottom: 28px;
  display: flex;
  justify-content: center;
}

/* About */
#section-3 {
  position: relative;
  margin: 20px;
  display: flex;
  flex-flow: column;
}

#support {
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: normal;
  font-size: 20px;
  line-height: 28px;
  text-align: center;
  color: #172b4d;
  margin-bottom: 32px;
  align-content: center;
  align-items: center;
  margin-top: 20px;
  clear: both;
}

#Categories {
  margin: 0;
  padding: 0;
}

li.card-2 {
  display: flex;
  flex-flow: column wrap;
  align-content: center;
  border: 2.5px solid #d0d9d4;
  border-radius: 9px;
  background-color: #ebf0ee;
  height: 352px;
  width: 327px;
  margin: 0;
}

.cell2 {
  display: flex;
  flex-wrap: wrap;
  text-decoration: none;
  color: #1a563d;
  background-color: white;
  border-radius: 8px;
  height: 25px;
  margin: 4px;
  padding: 5px 12px;
  text-align: center;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 24px;
}

.cell2:hover {
  background-color: #36b37e;
  color: white;
}

.img-holder {
  display: flex;
  justify-content: center;
  padding: 23px;
}

ul.cells2 {
  display: flex;
  justify-content: center;
  text-align: center;
  flex-wrap: wrap;
  padding: 0;
  list-style-type: none;
  margin: 2px 0;
}

#frame1 {
  position: absolute;
  right: 0;
  top: 5px;
  width: 18%;
  height: auto;
  margin: 0;
  padding: 0;
  z-index: -1;
}

#frame2 {
  position: absolute;
  left: 0;
  top: 270px;
  width: 18%;
  height: auto;
  margin: 0;
  padding: 0;
  z-index: -1;
}

#Primary-3 {
  padding: 8px 0;
  margin: 10px 0;
  text-align: center;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: bold;
  font-size: 48px;
  line-height: 52px;
  color: #172b4d;
}

/* Contact Form */

footer {
  position: relative;
  padding: 0;
  margin: 0;
  display: flex;
  flex-flow: column;
  align-content: center;
}

form {
  display: flex;
  flex-flow: column;
  align-items: center;
  margin: 0;
  padding: 0 22px;
  text-align: center;
  margin-bottom: 30px;
  position: relative;
}

.primary-text {
  color: #172b4d;
  padding: 45px 24px;
  font-family: "inter", sans-serif;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  text-align: center;
  margin: 0;
  margin-bottom: 58px;
}

#fname {
  border: 1px solid rgba(208, 217, 212, 1);
  border-radius: 4px;
  margin-bottom: 24px;
  width: 100%;
  height: 48px;
}

#email {
  border: 1px solid rgba(208, 217, 212, 1);
  border-radius: 4px;
  margin-bottom: 24px;
  width: 100%;
  height: 48px;
}

#email.invalid {
  border-color: red;
}

.invalid-message {
  color: red;
  border: none;
  font-size: 16px;
  font-family: 'inter', sans-serif;
  bottom: 0;
  right: 0;
}

#message {
  width: 100%;
  height: 114px;
  margin-bottom: 24px;
  border: 1px solid #36b37f;
  border-radius: 4px;
}

#message::placeholder {
  color: black;
}

::placeholder {
  font-family: "Inter", sans-serif;
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
  padding: 15px 16px;
}

input[type="submit"] {
  background-color: #00b86e;
  text-decoration: none;
  padding: 10px 19px;
  border: 1px solid #00b86e;
  border-radius: 4px;
  width: fit-content;
  font-family: Inter, sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  color: #000;
  transition: 0.5s;
  margin-bottom: 15px;
}

input[type="submit"]:hover {
  opacity: 0.9;
  box-shadow: 0 10px 10px rgba(54, 179, 127, 0.24);
  background-color: #36b37f;
  border: 1px solid #36b37f;
}

input[type="submit"]:active {
  box-shadow: none;
  background-color: #36b37f;
  border: 1px solid #36b37f;
  opacity: 0.9;
}

p#mail {
  width: 375px;
  height: 189px;
  font-size: 20px;
  font-family: "inter", sans-serif;
  font-weight: 400;
  margin: 0;
  text-align: center;
  color: #172b4d;
}

#last-line {
  width: 134px;
  height: 5px;
  border-radius: 10px;
  background-color: black;
  align-self: center;
  margin-top: 134px;
}

ul.social2 {
  list-style-type: none;
  margin-top: 4.5px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.social-icon2 {
  padding: 0 10px;
  display: flex;
  justify-content: space-between;
}

#frame3 {
  position: absolute;
  right: 0;
  bottom: 300px;
  width: 16%;
  height: auto;
}

#frame4 {
  position: absolute;
  left: 0;
  bottom: 400px;
  width: 16%;
  height: auto;
  display: none;
}

#frame5 {
  position: absolute;
  left: 150px;
  bottom: 400px;
  width: 16%;
  height: auto;
  display: none;
}

#email-container {
  display: flex;
  justify-content: center;
}

#icon-separator {
  display: none;
}

@media only screen and (max-width: 360px) {
  .description {
    font-size: 0.7em;
  }

  .title {
    font-size: 0.9em;
  }

  .pop {
    padding: 2px 9px;
  }

  .popup-window {
    height: 102vh;
  }

  .link-container {
    height: 44px;
  }
}

/* Small devices (portrait tablets and large phones, 600px and up) */
@media only screen and (min-width: 600px) {
  .menu-items {
    font-family: Inter, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 20px;
    line-height: 52px;
    color: #172b4d;
  }

  a.logo {
    display: none;
  }

  #togglebutton {
    display: none;
  }

  nav {
    justify-content: center;
  }

  .toggle {
    position: static;
    background-color: initial;
    width: initial;
  }

  header {
    position: absolute;
    top: 0;
    right: 50%;
    left: 50%;
    display: flex;
    flex-flow: row;
    justify-content: center;
    z-index: 1;
  }

  .showcase {
    margin-top: 50px;
    max-width: 900px;
    display: flex;
    justify-content: center;
  }

  #section-1 {
    display: flex;
    align-items: center;
    padding: 0 20px;
    padding-bottom: 75px;
  }

  #menu-list {
    display: flex;
  }

  #frame3 {
    bottom: 200px;
  }

  .pop-up {
    position: relative;
    top: 5%;
    width: 95%;
    z-index: 1111;
    flex-flow: row wrap;
    justify-content: space-between;
    margin-bottom: 30px;
  }

  .link-container {
    height: 12vh;
    order: 6;
    margin-top: 30px;
  }

  .pop {
    font-size: 0.9em;
  }

  .pop-image {
    height: 50vh;
  }

  .pop-close {
    top: 1%;
    right: 0;
    width: 15%;
  }

  .description {
    order: 7;
    padding-bottom: 2px;
    font-size: 0.8em;
  }

  .title {
    order: 6;
    margin-bottom: 0;
    font-size: 1.2em;
  }

  ul.pop-list {
    order: 7;
  }

  .pop-cell {
    margin: 0 3px;
  }
}

/* Medium devices (landscape tablets, 740px and up) */
@media only screen and (min-width: 740px) {
  #support {
    max-width: 900px;
    align-self: center;
  }

  #section-1 {
    padding-bottom: 150px;
    margin-bottom: 0;
  }

  #section2 {
    margin-bottom: 90px;
  }

  .grid-container {
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto;
    justify-content: center;
  }

  @media screen and (max-width: 992px) {
    .card-2:nth-child(3) {
      grid-column: 1 / 3;
      margin-left: 28%;
    }
  }

  #frame1 {
    top: 0;
    width: 14%;
  }

  #Categories {
    margin-top: 50px;
  }

  #firstline {
    display: none;
  }

  #Recent {
    margin-bottom: 80px;
  }

  #email-container {
    display: none;
  }

  ul.social2 {
    position: absolute;
    bottom: 0;
    right: 50%;
    left: 50%;
    padding: 30px 0;
    border-top: 5px solid rgb(63, 57, 57);
    margin-top: 400px;
  }

  #last-line {
    display: none;
  }

  form {
    padding: 45px 0;
    margin-bottom: 300px;
    max-width: inherit;
    flex-grow: 5;
    align-items: flex-start;
  }

  #fname,
  #email,
  #message {
    width: 90%;
  }

  #frame3 {
    bottom: 150px;
  }

  #frame4 {
    bottom: 150px;
    display: block;
  }

  #frame5 {
    bottom: 150px;
    display: block;
  }

  #icon-separator {
    display: block;
    opacity: 0.3;
    width: 100%;
    margin-bottom: 90px;
    background-color: #dfe1e6;
  }

  .primary-text {
    max-width: 40%;
    font-size: 30px;
  }

  footer {
    flex-flow: row wrap;
  }

  .pop-close {
    width: 9%;
    top: -9%;
  }

  .description {
    order: 7;
    padding-bottom: 2px;
    font-size: 1em;
  }

  .title {
    order: 6;
    margin-bottom: 0;
    font-size: 1.2em;
  }

  .link-container {
    margin-top: 2px;
  }
}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {
  .showcase {
    margin-top: 120px;
  }

  #section-1 {
    margin-bottom: 0;
    padding-bottom: 420px;
  }

  #section-2 {
    margin-bottom: 150px;
  }

  #section-3 {
    margin-bottom: 100px;
  }

  .contact {
    align-items: center;
  }

  form {
    justify-content: center;
    max-width: 600px;
  }

  .primary-text {
    max-width: 500px;
    font-size: 30px;
    align-content: center;
    padding-top: 90px;
    padding-left: 2%;
  }

  .grid-container {
    display: grid;
    grid-template-columns: auto auto auto;
    justify-content: center;
  }

  #frame2 {
    top: 220px;
  }

  #frame1 {
    width: 14%;
  }

  .pop-close {
    top: -11%;
    right: 0;
    width: 7%;
  }

  .description {
    order: 7;
    padding-bottom: 2px;
    font-size: 1em;
  }

  .title {
    order: 6;
    margin-bottom: 0;
    font-size: 1.7em;
  }

  .pop {
    font-size: 1.1em;
  }

  .popup-window {
    height: 110vh;
  }
}

@media only screen and (min-width: 1100px) {
  .primary-text {
    padding-left: 9%;
  }

  .popup-window {
    height: 110vh;
  }

  .pop-up {
    position: relative;
    top: 5%;
    z-index: 1111;
    flex-flow: row wrap;
    justify-content: space-between;
    margin-bottom: 30px;
  }

  .link-container {
    height: 12vh;
    order: 6;
    margin-top: 3px;
    margin-left: 265px;
  }

  .pop-image {
    height: 50vh;
  }

  .pop-close {
    top: -11%;
    right: 0;
    width: 7%;
  }

  .description {
    order: 7;
    padding-bottom: 2px;
    font-size: 1em;
  }

  .title {
    order: 6;
    margin-bottom: 0;
    font-size: 1.65em;
  }

  ul.pop-list {
    order: 7;
  }

  .pop-cell {
    margin: 0 3px;
  }

  .pop {
    font-size: 1.17em;
  }
}
